SnozeDevelopers
API referenceBilling

Recover the workspace's pending checkout

Requires billing:manage. Returns the existing verified recurring checkout without creating or changing a purchase, including legacy single-product sessions. Expired and failed sessions return null.

GET
/v1/workspaces/{workspaceId}/billing/checkout

Authorization

apiKey
headerAuthorizationBearer <snoze_sk_…>

Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.

Path Parameters

workspaceId*string

Response Body

Success

application/json
  1. response
data*|null
Example Request
curl -X GET 'https://api.snoze.dev/v1/workspaces/string/billing/checkout'
Example Response
{  "data": {    "id": "string",    "url": "string",    "status": "open",    "plan": "free",    "interval": "month",    "expiresAt": "string"  }}